.m-nav .m-nav__item:hover:not(.m-nav__item--disabled)>.m-nav__link .m-nav__link-icon, .m-nav .m-nav__item:hover:not(.m-nav__item--disabled)>.m-nav__link .m-nav__link-text, .m-nav .m-nav__item:hover:not(.m-nav__item--disabled)>.m-nav__link .m-nav__link-arrow, .m-nav .m-nav__item.m-nav__item--active>.m-nav__link .m-nav__link-icon, .m-nav .m-nav__item.m-nav__item--active>.m-nav__link .m-nav__link-text, .m-nav .m-nav__item.m-nav__item--active>.m-nav__link .m-nav__link-arrow, .m-nav .m-nav__section .m-nav__section-text{
  color: #00a4bd;
}

// Style input search list deal
.s-deal-list {
  .m-portlet__body-head{
    .m-portlet__body-head-top{
      width: 100%;
      .m-portlet__body-head-top-left,  .m-portlet__body-head-top-right{
        width: 50%;
        float: left;
        display: flex;
      }
      .m-portlet__body-head-top-right{
        justify-content: flex-end;

        .m-btn{
          &:focus{
            background-color: transparent;
          }
        }
      }
    }
  }
  .search{
         input{
           width: 200px;
         }
          span{
            pointer-events: none;
          }
        }
}
.s--table-deal-list .deal_total,
.s--table-deal-list .amount_promotion,
.s--table-deal-list .deal_vat,
.s--table-deal-list .sum_amount {
  text-align: right;
}


.s--table{
  font-size: 13px;
  width: max-content;
  min-width: 100%;
}
.s--table-deal-list{
  &.is-loader{
    position: relative;
    &:after{
      position: absolute;
      content: "";
      left: 0;
      top: 0;
      background-color: rgba(255, 255, 255, 0.6);
      z-index: 1;
      width: 100%;
      height: 100%;
    }
  }
  .text-is-trash{
    color: #7b7e8a;
    font-size: 11px;
  }
  .link-is-trash{
    text-decoration: line-through;
  }
  .id{
    width: 40px;
    text-align: left;
    .m-radio>input, .m-checkbox{
      padding-left: 0;
      input{
        width: 18px;
        height:18px;
      }
    }
  }
  .action{
    width: 70px;
  }
  .sku{
    width: 120px;
  }
  .full_name{
    width: 180px;
  }
  .email{
    width: 150px;
  }
  .phone{
    width: 120px;
    input{
      border: none;
      background-color: transparent;
      padding: 0;
    }
  }
  .address{
    // width: 200px;
  }
  tr td, tr th {
    max-width: 120px;
  }
  .action{
    max-width: 70px;
  }
  .user_in_charge{
    width: 120px;
  }
  .s--not-found{
    td{
      height: 200px;
      text-align: center;
      line-height: 200px;
      font-weight: 500;
    }
  }
  .deal_total {
    max-width: 110px;
  }
}

.s--table-deal-contact-list{
  &.is-loader{
    position: relative;
    &:after{
      position: absolute;
      content: "";
      left: 0;
      top: 0;
      background-color: rgba(255, 255, 255, 0.6);
      z-index: 1;
      width: 100%;
      height: 100%;
    }
  }
  .full_name{
    width: 180px;
    .is-main-contact{
      font-size:11px;
      margin: 0;
    }
  }
 /* .id{
    width: 40px;
    .m-radio>input, .m-checkbox{
      padding-left: 0;
      input{
        width: 18px;
        height:18px;
      }
    }
  }

  .email{
    width: 150px;
  }
  .phone_number{
    width: 120px;
  }
  .address{
    width: 160px;
  }
  .action{
    width: 70px;
  }*/

  .s--not-found{
    td{
      height: 100px;
      text-align: center;
      line-height: 100px;
      font-weight: 500;
    }
  }
}
.s--modal-list-deal-edit-column{
  .m-radio, .m-checkbox{
    &.disabled{
      pointer-events: none;
      cursor: inherit;
    }
  }
}
.list-sort-item{
  position: relative;
  display: block;
  padding: .75rem 1.25rem;
  margin-bottom: 5px;
  background-color: #fff;
  border: 1px solid rgba(0,0,0,0.125);
  border-radius: 4px;
  cursor: move;
  .icon-sort{
    position: relative;
    top: 2px;
  }
  .icon-close{
    cursor: pointer;
  }
  &.disabled{
    pointer-events: none;
  }
}

.s--table-deal-product{
  width: 100% !important;
  .number{
    width: 45px;
  }
  .product_sku{
    width: 120px;
  }
  .product_name{
    width: 220px;
  }
  .quantity{
    width: 95px;
  }
  .unit_price{
    width: 140px;
  }
  .amount{
    width: 140px;
  }
}
.discount-value {
  input{
    width: 140px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
}
.deal-product-name{
  &:hover{
    &:after{
      display: none;
    }
  }
}
.v-select .dropdown-toggle .clear.clear-add-deal-product{
  display: none !important;
}

.s-add-deal .s-open-extra,
.s-add-deal .s-close-extra {
	text-align: right;
	text-decoration: underline;
	margin-top: 15px;
	a {
		line-height: 1.4;
	}
}
.s-add-deal .s-table-title {
	margin-bottom: 15px;
	.s-stack__title {
		margin-bottom: 0;
	}
	.m-stack__item:last-child {
		padding-left: 10px;
	}
}
.s-add-deal .s-deal_col--left,
.s-add-deal .s-deal_col--right {
	float: left;
}
.s-add-deal .s-deal-col--left {
	min-width: 100px;
	display: inline-block;
}
.s-add-deal .s-total-price {
	margin-top: 10px;
}
.s-add-deal .pr-10 {
	padding-right: 10px;
}
.s-add-deal .mb-10 {
	margin-bottom: 10px;
}
.s-add-deal .s-total-price--hr {
	margin-top: 15px;
	padding-top: 10px;
	position: relative;
	&:before {
		content: " ";
		height: 1px;
		width: 75px;
		background-color: #00a4bd;
		position: absolute;
		right: 0;
		top: 0;
	}
}
.s-add-deal .m-form .m-form__group:first-child {
	padding-top: 5px;
}
.s-add-deal .selected-tag {
	display: none !important;
}

.s-edit-deal,
.s-add-deal {
    textarea {
      resize: vertical;
    }
 }


.s-edit-deal .s-open-extra,
.s-edit-deal .s-close-extra {
  text-align: right;
  text-decoration: underline;
  margin-top: 15px;
  a {
    line-height: 1.4;
  }
}
.s-edit-deal .s-table-title {
  margin-bottom: 15px;
  .s-stack__title {
    margin-bottom: 0;
  }
  .m-stack__item:last-child {
    padding-left: 10px;
  }
}
.s-edit-deal .s-deal_col--left,
.s-edit-deal .s-deal_col--right {
  float: left;
}
.s-edit-deal .s-deal-col--left {
  min-width: 100px;
  display: inline-block;
}
.s-edit-deal .s-total-price {
  margin-top: 10px;
}
.s-edit-deal .pr-10 {
  padding-right: 10px;
}
.s-edit-deal .mb-10 {
  margin-bottom: 10px;
}
.s-edit-deal .s-total-price--hr {
  margin-top: 15px;
  padding-top: 10px;
  position: relative;
  &:before {
    content: " ";
    height: 1px;
    width: 75px;
    background-color: #00a4bd;
    position: absolute;
    right: 0;
    top: 0;
  }
}
.s-edit-deal .m-form .m-form__group:first-child {
  padding-top: 5px;
}

#v_deal_show .s-deal-product-list {
    ::-webkit-scrollbar {
      width: 4px;
    }
    ::-webkit-scrollbar-thumb {
        border-radius: 4px;
        background-color: .2s linear, opacity .2s linear
    }
}


.s-deal-product-list__note {
	max-width: 400px;
}
.s-deal-product-list__total {
	&.table th,

	&.table td {
		border-top: none;
	}
}
.s-deal-product-list__product {
	.table-bordered thead th,
	.table-bordered thead td {
		min-width: 80px;
	}
	max-height: 600px;
	overflow-y: scroll;

}
.s-deal-product-list .s-product-total {
	font-weight: 600;
	.s-col-right {
		border-top: 1px solid #00a4bd;
	}
}
.s-deal-extra__item {
	margin-bottom: 20px;
}
.s-deal-extra-title {
	font-size: 11.5px;
	font-weight: 500;
	margin-bottom: .5rem;
}
.s-deal-extra-content {
	color: #575962;
}

// Tab head.
#v_deal_show .s-deal-tabhead .s-deal-tabhead__title {
	color: #333439;
}
#v_deal_show .s-deal-tabhead .fa {
	color: #6f727d;
	font-size: 1rem;
	line-height: 1.6;
	width: 19px;
}
#v_deal_show .s-deal-tabhead .s-deal-tabhead-item .s-col-right {
	min-width: 100px;
	display: inline-block;
	font-weight: 600;
	font-size: 16px;
}

#v_deal_show .s-deal-tabhead .s-deal-status {
	margin-top: 10px;
	margin-bottom: 5px;
	max-width: 500px;
}
#v_deal_show .s-deal-tabhead  .s-tabhead-label.s-tabhead-left {
	min-width: 105px;
	margin-bottom: 5px;
	display: inline-block;
}
#v_deal_show .s--customer-header button {
	display: none;
}
#v_deal_show .breadcrumb-right .btn:disabled {
  opacity: 1;
}
.s--font-cancel {
	//color: #8c8ea4 !important;
	color: #b33a00 !important;
}
.s--font-done {
	color: #34bfa3 !important;
}
.s--font-processing {
	color: #ffb822 !important;
}

select{
  .s--select-option-processing {
    color: #ffb822 !important;
  }
  .s--select-option-cancel {
    color: #b33a00 !important;
  }
  .s--select-option-done {
    color: #34bfa3 !important;
  }
}

.s-deal-roduct-list-bottom {
	margin-top: 30px;
}
.s--table-midle tr,
.s--table-midle td {
	vertical-align: middle
}
.product_unit {
	color: #575962;
}
.s-deal-product-list__type-price {
	margin-bottom: 15px;
}

.s-deal-list .s-list--total-price {
  position: absolute;
  bottom: calc(100% + 20px);
  right: 0;
  ul {
    margin-bottom: 0;
    height: 37.5px;
    display: flex;
    align-items: center;
  }
  span {
    //padding-top: 10px;
    display: inline-block;
  }
  .s--col-right {
    padding-left: 5px;
    //width: 130px;
  }
  .s--col-left {
    //width: 210px;
    font-weight: 500;
  }
}
.s--pipeline-search {
  position: absolute;
  bottom: calc(100% + 20px);
  right: 0;
}

.add-deal-product{
  &.v-select .dropdown-toggle .clear{
    display: none;
  }
  .selected-tag{
    display: none !important;
  }
}

.nt-dealpage {
    position: relative;
    width: 100%;
    height: 100%;

    /*BEGIN : HEADER*/
    .nt-dealpage-header {
        width: 100%;
        height: 60px;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        color: #FFFFFF;
        font-weight: 400;
        padding: 0px 22px;

        .nt-dealpage-header-icon {
            font-size: 24px;
            margin-top: 4px;
            display: flex;
            margin-right: 10px;
            float: left;
            font-weight: 400;
        }

        .nt-dealpage-header-text {
            font-weight: 400;
        }
    }
    /*END : HEADER*/

    /*BEGIN : CONTENT*/
    .nt-dealpage-content {
        width: 100%;
        background: #FFFFFF;
        overflow-y: auto;
        padding: 30px 22px;
        float: left;

        .nt-collapse{
            float: left;
            width: 100%;

            .nt-collapse-header{
                color: #444F78;
                font-size: 24px !important;
                font-weight: 500;
            }
        }

        .nt-collapse-line{
            float:left;
            width: 100%;
            margin:1px 0px
        }

        .nt-dealpage-content-box {
            float: left;
            height: auto;
            width: 100%;
            border-bottom: solid 1px #EBEDF2;
            padding: 20px 0px;

            .nt-dealpage-content-box-title {
                color: #444F78;
                font-size: 24px !important;
                margin-bottom: 20px !important;
                font-weight: 500;
            }

            .nt-dealpage-content-box-details {
                padding: 0px 5px;
            }

            .total_transaction_amount{

                label{
                    margin-bottom: 0px;
                }
            }

            &.nt-collapse-content{
                border-bottom: none !important;
                padding : 0px 0px 30px 0px;
            }

            &.nt-collapse-content_attribute{
                padding : 0px 0px 14px 0px !important;
            }

            &.nt-content-attribute{
                padding : 20px 0px 4px 0px;
            }

            &:first-child {
                padding-top: 0px !important;
            }

            &:last-child {
                border: none !important;
            }
        }

        .table-container {

            .msp{
                width: 7%;
                @include mediaQueryMax(767px){
                  width: auto;
                  min-width: 120px;
                }
            }

            .tsp {
                width: 27%;
              @include mediaQueryMax(767px){
                width: auto;
                min-width: 180px;
              }
            }

            .sl {
                width: 6%;
              @include mediaQueryMax(767px){
                width: auto;
                min-width: 120px;
              }
            }

            .dgny {
                width: 10%;
              @include mediaQueryMax(767px){
                width: auto;
                min-width: 120px;
              }
            }

            .ck {
                width: 6%;
              @include mediaQueryMax(767px){
                width: auto;
                min-width: 120px;
              }
            }

            .dgb {
                width: 8%;
              @include mediaQueryMax(767px){
                width: auto;
                min-width: 120px;
              }
            }

            .tt {
                width: 8%;
              @include mediaQueryMax(767px){
                width: auto;
                min-width: 120px;
              }
            }

            .nsd {
                width: 16%;
              @include mediaQueryMax(767px){
                width: auto;
                min-width: 120px;
              }
            }

            .ttgh {
                width: 10%;
              @include mediaQueryMax(767px){
                width: auto;
                min-width: 120px;
              }
            }

            .close-product {
                width: 2%;
              @include mediaQueryMax(767px){
                width: auto;
                min-width: 40px;
              }
            }
        }

        textarea{
            font-size:14px;
        }

        &.nt-dealpage-edit{
            padding-top:10px;
        }
    }
    /*END : CONTENT*/

    /*BEGIN : FOOTER*/
    .nt-dealpage-footer {
        width: 100%;
        float: left;
        height: 58px;
        display: flex;
        align-items: center;
        justify-content: flex-end;
        text-align: right;
        padding-right: 10px;
        position: relative;
        z-index: 20;
        background: #F8F8FB;
    }
    /*END : FOOTER*/

    .nt-dealpage-backdrop {
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
        z-index: 99;
        background: rgba(255, 255, 255, 0.50);
    }

    select{
        cursor:pointer;
    }
}

.nt-deal-discount{
  margin-left: 8px;
  @include mediaQueryMax(768px){
    margin-top: 5px;
    margin-left: 0;
  }
}


